<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
/*
 * Copyright (C) 2010 Texas Instruments Incorporated - http://www.ti.com/ 
 * 
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-->
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<meta http-equiv="content-type" content="text/html; charset=utf-8" />
	<title>High Performance Digital Signal Processer Utility Application</title>
	<link rel="stylesheet" href="default.css" type="text/css" />
</head>

<body>

<div id="wrapper">

<div id="logo">
	<h1>Network Loopback</h1>
</div>

<div id="header">
	<div id="menu">
		<ul>
			<li><a href ="index.html">Welcome</a></li>
			<li><a href="info.cgi">Information</a></li>
			<li><a href="stats.cgi">Statistics</a></li>
			<li><a href="tasks.cgi">Task List</a></li>
			<li class="current_page_item"><a href="bench.html">Benchmarks</a></li>
			<li><a href="diag.cgi">Diagnostics</a></li>
			<li><a href="flash.cgi">Flash</a></li>
			<li class="last"><a href="I2C.html">EEPROM</a></li>
		</ul>
	</div>
</div>

</div>

<div id="page">

	<div id="content" style="width: 800px;">
		<hr>
		<table cellpadding="6">
			<tr>
				<td valign="center"><image src="dspchip.gif"></td>
				<td width="100%" align="justify">
					<h2>Network Loopback</h2>
					<br>
					<p class="howitworks"><b>How it works:</b>&nbsp; This screen 
					allows you to start a network loopback task allowing you to use a packet 
					generator to send packets and then receive them. The loopback will look 
					for the Protocol selected on the Rx Port specified. All packets 
					received on that port will be re-sent to Destination IP and	
					Port specified. </p>

				</td>
			</tr>
		</table>
		<hr><br>
		<div style="padding: 2px;">
			<form method="POST" action="ndkloopstart.cgi">
			<table border="0" width="95%" id="table1">
				<tr>
					<td colspan="3">Select your options then press Start to run 
					the loopback</td>
				</tr>
				<tr>
					<td width="27%">&nbsp;</td>
					<td width="29%">&nbsp;</td>
					<td width="42%">&nbsp;</td>
				</tr>
				<tr>
					<td width="27%">Protocol</td>
					<td width="29%"><input type="radio" value="UDP" checked name="protocol"> UDP&nbsp;&nbsp;
					<input type="radio" name="protocol" value="TCP"> TCP</td>
					<td width="42%"><p class="howitworks">Protocol to test</p></td>
				</tr>
				<tr>
					<td width="27%">Rx Port</td>
					<td width="29%">
					<input type="text" name="rxport" size="6" value="5678"></td>
					<td width="42%">
					<p class="howitworks">Port EVM should receive the packets on</p></td>
				</tr>
				<tr>
					<td width="27%">Destination Port</td>
					<td width="29%"><input type="text" name="txport" size="6" value="5678"></td>
					<td width="42%"><p class="howitworks">Destination Port EVM sends the packet to</p></td>
				</tr>
				<tr>
					<td width="27%">Destination IP</td>
					<td width="29%">
					<input type="text" name="IP" size="20"></td>
					<td width="42%">
					<p class="howitworks">Destination IP EVM sends the packet to, 
					in dot notation. E.g. 192.168.2.102</p></td>
				</tr>
				<tr>
					<td width="27%">Use Static Route</td>
					<td width="29%">
					<input type="checkbox" name="staticroute" value="ON"></td>
					<td width="42%">
					<p class="howitworks">If your packet generator does not respond to 
					ARPs then check this. 
					If checked, you must supply a MAC address below.</p></td>
				</tr>
				<tr>
					<td width="27%">Destination MAC </td>
					<td width="29%">
					<input type="text" name="mac0" size="2" value="00" tabindex="1"><input type="text" name="mac1" size="2" value="00" tabindex="2"><input type="text" name="mac2" size="2" value="00" tabindex="3"><input type="text" name="mac3" size="2" value="00" tabindex="4"><input type="text" name="mac4" size="2" value="00" tabindex="5"><input type="text" name="mac5" size="2" value="00" tabindex="6"></td>
					<td width="42%">
					<p class="howitworks">This field is only needed if you are 
					using a static route. It is the MAC address associated with 
					the Destination IP. Static routes should be used with line 
					rate protocol testers like smart bits.</p></td>
				</tr>
				<tr>
					<td><input type="submit" value="Start" name="B1"></td>
				</tr>
			</table>
		</form>				
		</div>	
		<br>
		<br>
	</div>
	<div style="clear: both;">&nbsp;</div>
</div>
<div id="footer">
	<p id="legal">( c ) 2010-2011 Texas Instruments Incorporated&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="credit.html">Credits</a> </p>
</div>
</body>
</html>
